GET/Organizations/{orgId}/departments/{departmentId}/tasks
Lists the tasks of the organization's active events that are assigned to collaborators in one
department, with the same shape as Organizations_GetRollUpTasks. The orgId comes from the
Organization API's Users_GetOrganizations and the department id from its Organizations_GetDepartments;
needs the organization basic access permission.
Path Parameters
| Field | Type | Required | Description |
|---|
| orgId | uuid | Required | |
| departmentId | uuid | Required | |
Response
Type: GetDepartmentTasksRollUpResponse[]
GetDepartmentTasksRollUpResponse
| Field | Type | Description |
|---|
| id | uuid | |
| eventId | uuid | |
| name | string| null | |
| status | GetDepartmentTasksRollUpResponseSttus | |
| startDateTime | date-time| null | |
| endDateTime | date-time| null | |
| description | string| null | |
| priority | string| null | |
| index | integer | |
| parentId | uuid| null | |
| phaseName | string| null | |
| assignees | GetDepartmentTasksRollUpResponseAssigneesList | |
| reviewers | GetDepartmentTasksRollUpResponseCrew[]| null | |
| eventAttributes | GetDepartmentTasksRollUpResponseEventAttr[]| null | |
GetDepartmentTasksRollUpResponseSttus
| Field | Type | Description |
|---|
| name | string| null | |
| color | string| null | |
| state | string| null | |
| organizationTaskStatusId | uuid| null | |
GetDepartmentTasksRollUpResponseAssigneesList
| Field | Type | Description |
|---|
| crewMembers | GetDepartmentTasksRollUpResponseCrew[]| null | |
| collaborators | GetDepartmentTasksRollUpResponseCollab[]| null | |
| departments | GetDepartmentTasksRollUpResponseDept[]| null | |
GetDepartmentTasksRollUpResponseCrew
| Field | Type | Description |
|---|
| id | uuid | |
| name | string| null | |
| connectedUserId | uuid| null | |
| orgCorrelationId | uuid| null | |
GetDepartmentTasksRollUpResponseEventAttr
| Field | Type | Description |
|---|
| attributeId | uuid | |
| value | string| null | |
GetDepartmentTasksRollUpResponseCollab
| Field | Type | Description |
|---|
| id | uuid | |
| name | string| null | |
| orgCorrelationId | uuid| null | |
GetDepartmentTasksRollUpResponseDept
| Field | Type | Description |
|---|
| id | uuid | |
| name | string| null | |